• Problems with Waylad when updating today


    [[email protected] ~]$ sudo pacman -Syu
    :: Sincronizando las bases de datos de los paquetes...
     antergos                                     161,8 KiB  1156K/s 00:00 [#######################################] 100%
     core                                         129,3 KiB  1144K/s 00:00 [#######################################] 100%
     extra                                       1608,9 KiB  9,24M/s 00:00 [#######################################] 100%
     community                                      4,4 MiB  9,39M/s 00:00 [#######################################] 100%
     multilib                                     171,7 KiB  41,9M/s 00:00 [#######################################] 100%
    :: Iniciando actualización completa del sistema...
    resolviendo dependencias...
    buscando conflictos entre paquetes...
    
    Paquetes (16) babl-0.1.50-1  ca-certificates-mozilla-3.37.1-1  file-5.33-3  fuse-common-3.2.3-1  gegl-0.4.2-1
                  gimp-2.10.2-1  ilmbase-2.2.1-2  lib32-wayland-1.15.0-1  libdazzle-3.28.2-1  libidn2-2.0.5-1
                  linux-4.16.11-1  linux-firmware-20180518.2a9b2cf-1  nss-3.37.1-1  pacman-mirrorlist-20180524-1
                  python-xdg-0.26-1  rubygems-2.7.7-1
    
    Tamaño total de la descarga:    160,42 MiB
    Tamaño total de la instalación:  525,81 MiB
    Tamaño neto tras actualizar:      1,17 MiB
    
    :: ¿Continuar con la instalación? [S/n] s
    :: Obteniendo los paquetes...
     ca-certificates-mozilla-3.37.1-1-x86_64      325,2 KiB  1995K/s 00:00 [#######################################] 100%
     file-5.33-3-x86_64                           277,6 KiB  27,1M/s 00:00 [#######################################] 100%
     libidn2-2.0.5-1-x86_64                       110,0 KiB  26,9M/s 00:00 [#######################################] 100%
     linux-firmware-20180518.2a9b2cf-1-any         67,5 MiB  5,73M/s 00:12 [#######################################] 100%
     linux-4.16.11-1-x86_64                        70,0 MiB  3,70M/s 00:19 [#######################################] 100%
     nss-3.37.1-1-x86_64                         1447,4 KiB  3,51M/s 00:00 [#######################################] 100%
     pacman-mirrorlist-20180524-1-any               5,6 KiB  0,00B/s 00:00 [#######################################] 100%
     babl-0.1.50-1-x86_64                         292,7 KiB  3,44M/s 00:00 [#######################################] 100%
     fuse-common-3.2.3-1-x86_64                    10,4 KiB  3,38M/s 00:00 [#######################################] 100%
     gegl-0.4.2-1-x86_64                         1429,5 KiB  3,67M/s 00:00 [#######################################] 100%
     ilmbase-2.2.1-2-x86_64                       143,7 KiB  46,8M/s 00:00 [#######################################] 100%
     gimp-2.10.2-1-x86_64                          18,1 MiB  2,52M/s 00:07 [#######################################] 100%
     libdazzle-3.28.2-1-x86_64                    608,7 KiB  3,56M/s 00:00 [#######################################] 100%
     python-xdg-0.26-1-any                         71,2 KiB  17,4M/s 00:00 [#######################################] 100%
     rubygems-2.7.7-1-any                         217,7 KiB  4,94M/s 00:00 [#######################################] 100%
     lib32-wayland-1.15.0-1-x86_64                 46,4 KiB  15,1M/s 00:00 [#######################################] 100%
    (16/16) comprobando las claves del depósito                            [#######################################] 100%
    (16/16) verificando la integridad de los paquetes                      [#######################################] 100%
    (16/16) cargando los archivos de los paquetes                          [#######################################] 100%
    (16/16) comprobando conflictos entre archivos                          [#######################################] 100%
    error: no se pudo realizar la operación (archivos en conflicto)
    lib32-wayland: /usr/lib32/libwayland-egl.so existe en el sistema de archivos
    lib32-wayland: /usr/lib32/libwayland-egl.so.1 existe en el sistema de archivos
    lib32-wayland: /usr/lib32/libwayland-egl.so.1.0.0 existe en el sistema de archivos
    lib32-wayland: /usr/lib32/pkgconfig/wayland-egl.pc existe en el sistema de archivos
    Ocurrieron errores, por lo que no se actualizaron los paquetes
    

    Comparte todo lo que puedas, no te canses nunca. Y cuando creas que ya no tienes nada que compartir…vuelve a empezar. [email protected] ganaremos.
    "Si está en mis manos, está en las tuyas".
    Por aquí cocinamos: https://recetasbellas.com/

  • @juanbellas
    https://forum.antergos.com/topic/9962/problems-with-usr-lib32-libwayland-egl-so

    Please report issues including all details! ;-)
    Show files here: cat "file" | curl -F [email protected] https://ptpb.pw/?u=1
    and show the URL here.

  • @manuel Delete those files was the first thing I thought, since it is a case similar to another that was a few days ago, what happens is that I got into doubt about whether I should do it or not …
    Thank you!

    Comparte todo lo que puedas, no te canses nunca. Y cuando creas que ya no tienes nada que compartir…vuelve a empezar. [email protected] ganaremos.
    "Si está en mis manos, está en las tuyas".
    Por aquí cocinamos: https://recetasbellas.com/

  • sudo pacman -Syu --force

  • @judd That should also work in this case. 🙂

    Please report issues including all details! ;-)
    Show files here: cat "file" | curl -F [email protected] https://ptpb.pw/?u=1
    and show the URL here.

  • @manuel said in Problems with Waylad when updating today:

    @judd That should also work in this case. 🙂

    In fact it works!
    Since it rewrites the files …

  • @judd said in Problems with Waylad when updating today:

    In fact it works!

    Right.

    It works every time when there are conflicting (already existing) files in file system. The --force option is made specifically to solve conflicting files issues.

    Pros: it guarantees that only needed file(s) will be overwritten, and no other one. There’s no risk to accidentally delete (or uninstall) by hand a wrong file(s), not involved in a conflict.

    Cons: it is “blind” and solves all existing conflicts, without exclusion. If a user is unaware of them, he risks to do a massive, unexpectedd or undesired upgrade.

  • Warning:

    Take care when using the –force switch (for example pacman -Syu --force) as it can cause major problems if used improperly. It is highly recommended to only use this option when the Arch news instructs the user to do so.
    ArchWiki

    😉

    [updates once a week] = [90% less problems]
    antergos:_rescue
    how to add system logs:
    wget http://bit.ly/2GCG9k2 && sh 2GCG9k2
    :handshake: donate antergos

  • @just said in Problems with Waylad when updating today:

    @judd said in Problems with Waylad when updating today:

    In fact it works!

    Right.

    It works every time when there are conflicting (already existing) files in file system. The --force option is made specifically to solve conflicting files issues.

    Pros: it guarantees that only needed file(s) will be overwritten, and no other one. There’s no risk to accidentally delete (or uninstall) by hand a wrong file(s), not involved in a conflict.

    Cons: it is “blind” and solves all existing conflicts, without exclusion. If a user is unaware of them, he risks to do a massive, unexpectedd or undesired upgrade.

    Really, and nobility obliges, I learned it from you teacher, to see it in many answers. 👍

wayland48 Posts 9Views 437
Log in to reply
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.